## Name

DROP SET — Discard Slony-I replication set

## Synopsis

`DROP SET (options);`

## Description

Drop a set of tables from the Slony-I configuration. This automatically unsubscribes all nodes from the set and restores the original triggers and rules on all subscribers.

`ID = ival`

  ID of the set to be dropped.

`ORIGIN = ival`

  Current origin node of the set.

This uses schemadocdropset( integer ).

## Example

      DROP SET ( ID = 5,
                 ORIGIN = 2 );

## Locking Behaviour

On each node, this will require taking out exclusive locks on each replicated table in order to modify the table schema to clean up the triggers and rules.

## Version Information

This command was introduced in Slony-I 1.0